//
//  AppDelegate.m
//  OTTPaySDKDemo
//
//  Created by Lipengxuan on 5/10Friday.
//  Copyright © 2019 OTTPay. All rights reserved.
//

#import "AppDelegate.h"
#import <OTTPaySDK/OTTPaySDK.h>

@interface AppDelegate ()

@end

@implementation AppDelegate


- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {

    [OTTPayServer registerOTTPayWithMerchantID:@"ON00000097" shopID:@"ON00000097001" serverUrl:@"https://mppay.ottpay.com/inAppPay" operatorId:@"0000000437" appScheme:@"OTTPayDemo"];
    //如果每个订单回调地址都一样则在注册sdk后设置一次回调地址就行
    //如需取消回调设置地址为@""
    [OTTPayServer setBackUrl:@"http://you.com/callback/url"];


    return YES;
}

#ifdef IOS9

- (BOOL)application:(UIApplication *)app openURL:(NSURL *)url options:(NSDictionary<NSString*, id> *)options{
        [OTTPayServer application:application handleOpenURL:url];
        return YES;
        
}
#else
-(BOOL)application:(UIApplication *)application openURL:(NSURL *)url sourceApplication:(NSString *)sourceApplication annotation:(id)annotation{
        [OTTPayServer application:application openURL:url sourceApplication:sourceApplication annotation:annotation];
        return YES;
}
#endif



- (void)applicationWillResignActive:(UIApplication *)application {
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and invalidate graphics rendering callbacks. Games should use this method to pause the game.
}


- (void)applicationDidEnterBackground:(UIApplication *)application {
    // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later.
    // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
}


- (void)applicationWillEnterForeground:(UIApplication *)application {
    // Called as part of the transition from the background to the active state; here you can undo many of the changes made on entering the background.
}


- (void)applicationDidBecomeActive:(UIApplication *)application {
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
}


- (void)applicationWillTerminate:(UIApplication *)application {
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
}


@end
